PostgreSQL 7.2.1 Documentation
Prev |  | Next

# SPI_cursor_find

## Name

SPI_cursor_find -- Finds an existing cursor (Portal) by name

## Synopsis

    SPI_cursor_find(name)

### Inputs

char *`name`

  Name of portal

### Outputs

Portal

  Pointer to Portal with given name, or NULL if not found

## Description

`SPI_cursor_find` finds a pre-existing Portal by name. This is primarily useful to resolve a cursor name returned as text by some other function.

Prev | Home | Next
SPI_cursor_open | Up | SPI_cursor_fetch